Bug 822153 - [abrt] python-2.7.3-1.fc16: PyEval_EvalFrameEx: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-1.fc16: PyEval_EvalFrameEx: Process /usr/bin/python2.7 wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:30b546e010924997fe3c3caa1c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 09:58 EDT by Benjamin S. Scarlet
Modified: 2013-02-13 09:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:05:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (11.43 KB, text/plain)
2012-05-16 09:58 EDT, Benjamin S. Scarlet
no flags Details
File: backtrace (36.24 KB, text/plain)
2012-05-16 09:58 EDT, Benjamin S. Scarlet
no flags Details
File: maps (50.07 KB, text/plain)
2012-05-16 09:58 EDT, Benjamin S. Scarlet
no flags Details

  None (edit)
Description Benjamin S. Scarlet 2012-05-16 09:58:15 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/terminator
crash_function: PyEval_EvalFrameEx
executable:     /usr/bin/python2.7
kernel:         3.3.2-6.fc16.x86_64
pid:            27821
pwd:            /home/benjamin
reason:         Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
time:           Tue 15 May 2012 03:28:18 PM EDT
uid:            501
username:       benjamin

backtrace:      Text file, 37113 bytes
dso_list:       Text file, 11703 bytes
maps:           Text file, 51268 bytes

comment:
:Open terminator (a multi-pane terminal emulator, written in python).
:Drag the pane around by its (internal/lower) titlebar. Drop it back in the main pane. Often but not always terminator/python segvs.
:
:The dragging makes more sense if you've made multiple panes in the terminator window and are rearranging them, but multiple panes don't seem to be necessary to reproduce the crash.
:
:
:

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=52
:HOSTNAME=pod.greynode.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=450ad35f059acc5e7a05e91d0000000f-1335967492.247123-1834426296
:GNOME_KEYRING_CONTROL=/tmp/keyring-2W9hAk
:IMSETTINGS_MODULE=none
:USER=benjamin
:USERNAME=benjamin
:MAIL=/var/spool/mail/benjamin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/benjamin/.local/bin:/home/benjamin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/benjamin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=13304
:LANG=en_US.UTF-8
:GDM_LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/benjamin
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=benjamin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QsRh4dph3F,guid=6cb82c885329efe37841041100028541
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/benjamin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-benjamin-nhNi9V/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/13311,unix/unix:/tmp/.ICE-unix/13311
:GPG_AGENT_INFO=/tmp/keyring-2W9hAk/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-2W9hAk/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-13518-pod.greynode.net-terminator-134_TIME791986680
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/terminator.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27821

smolt_data:
:
:
:General
:=================================
:UUID: eb6a7263-bb69-4aa1-acea-952fcaace97f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4522.73
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2267
:System Memory: 3825
:System Swap: 14079
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10818:41120:1612) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:41120:1612) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10521:41120:1612) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10541:41120:1612) pci, ata_piix, STORAGE, ICH9M/M-E 2 port SATA IDE Controller
:(32902:10558:41120:1612) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:4287:41120:1605) pci, e1000e, ETHERNET, 82567LF Gigabit Network Connection
:(32902:10549:41120:1612) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:41120:1612) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:41120:1612) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10548:41120:1612) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:41120:1612) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:41120:1612) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:41120:1612) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:41120:1612) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10536:41120:1612) pci, ata_piix, STORAGE, ICH9M/M-E 2 port SATA IDE Controller
:(32902:10553:41120:1612) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:41120:1612) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:41120:1612) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pod-lv_root / ext4 4096 4096 9358869 6809107 6340115 2346512 2107741 2107741
:/dev/sda5 /boot ext4 1024 1024 508745 409060 383460 128016 127743 127743
:/dev/sda3 WITHHELD ext4 4096 4096 6274378 1550294 1235723 1572864 1300708 1300708
:

var_log_messages:
:May 14 21:07:38 pod abrt[532]: Saved core dump of pid 1720 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-14-21:07:37-1720 (155877376 bytes)
:May 15 15:28:18 pod kernel: [1307791.523468] terminator[27821]: segfault at 0 ip           (null) sp 00007fff1b815b08 error 14 in python2.7[400000+1000]
:May 15 15:28:18 pod abrt[11765]: Saved core dump of pid 27821 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-05-15-15:28:18-27821 (40849408 bytes)
Comment 1 Benjamin S. Scarlet 2012-05-16 09:58:23 EDT
Created attachment 584968 [details]
File: dso_list
Comment 2 Benjamin S. Scarlet 2012-05-16 09:58:26 EDT
Created attachment 584969 [details]
File: backtrace
Comment 3 Benjamin S. Scarlet 2012-05-16 09:58:28 EDT
Created attachment 584970 [details]
File: maps
Comment 4 Fedora End Of Life 2013-01-16 08:19:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:05:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.